PGPOnePassSignature
Date: 2016-06-23

org.bouncycastle.openpgp

## Class PGPOnePassSignature

- java.lang.Object
- - org.bouncycastle.openpgp.PGPOnePassSignature

-     public class PGPOnePassSignature
      extends java.lang.Object

  A one pass signature object.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.io.OutputStream outStream)`
    `byte[]` | `getEncoded()`
    `int` | `getHashAlgorithm()`
    `int` | `getKeyAlgorithm()`
    `long` | `getKeyID()`
    `int` | `getSignatureType()`
    `void` | `init(PGPContentVerifierBuilderProvider verifierBuilderProvider, PGPPublicKey pubKey)` Initialise the signature object for verification.
    `void` | `update(byte b)`
    `void` | `update(byte[] bytes)`
    `void` | `update(byte[] bytes, int off, int length)`
    `boolean` | `verify(PGPSignature pgpSig)` Verify the calculated signature against the passed in PGPSignature.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### init

          public void init(PGPContentVerifierBuilderProvider verifierBuilderProvider,
                  PGPPublicKey pubKey)
                    throws PGPException

      Initialise the signature object for verification.
      Parameters:
        `verifierBuilderProvider` - provider for a content verifier builder for the signature type of interest.
        `pubKey` - the public key to use for verification
      Throws:
        `PGPException` - if there's an issue with creating the verifier.

    - #### update

          public void update(byte b)

    - #### update

          public void update(byte[] bytes)

    - #### update

          public void update(byte[] bytes,
                    int off,
                    int length)

    - #### verify

          public boolean verify(PGPSignature pgpSig)
                         throws PGPException

      Verify the calculated signature against the passed in PGPSignature.
      Parameters:
        `pgpSig` -
      Returns:
        boolean
      Throws:
        `PGPException`

    - #### getKeyID

          public long getKeyID()

    - #### getSignatureType

          public int getSignatureType()

    - #### getHashAlgorithm

          public int getHashAlgorithm()

    - #### getKeyAlgorithm

          public int getKeyAlgorithm()

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encode

          public void encode(java.io.OutputStream outStream)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`